<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title>Turn it in</title>
  <meta name="description" content="">
  <meta name="author" content="">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="assets/css/normalize.css">
  <link rel="stylesheet" href="assets/css/skeleton.css">
  <link rel="stylesheet" href="assets/css/custom.css">
  <link rel="stylesheet" href="assets/fontawesome/css/all.css">
  <link rel="icon" type="image/png" href="assets/images/favicon.png">
  <script type="text/javascript" src="assets/js/jquery-3.6.0.min.js"></script>  
    <!--Stylesheets-->
    <link rel="stylesheet" href="css/jquery.filer.css">
    <link rel="stylesheet" href="css/themes/jquery.filer-dragdropbox-theme.css">
    <!--jQuery-->
    
    <script src="js/jquery-latest.min.js"></script>
    <script src="js/jquery.filer.min.js?v=1.0.5"></script>
    <script src="js/custom.js?v=1.0.5"></script>
    <script>
    
    function getFileList(){
        $.ajax({
            url: "teacher/common.php",
            data: { common_action: 'getDownloads' },
            type: "POST",
            dataType : "json",
            success: function(data) {
                for(var i = 0; i < data.length; i++){
                    var name   = data[i];
                    var path   = "student_downloads/" + name;
                    var html   = "<tr><td>";
                        html  += "<a href=\"" + path + "\" >" + name + "</a></td>";  
                    
                    html      += "<td><a title='Download' class='button-2 small' href=\"" + path + "\" download=\"" + name + "\"><i class='fas fa-cloud-download-alt'></i></a></td></tr>";
                    $('#file_list tr:last').after(html);
                }
            },
            error: function(response) {
                $('#file_list tr:last').after('<tr><td>Error: ' +  response.responseJSON['responseText'] + '</td></tr>');
            }
        });
    }
  
    $(function() {
        getFileList();
    });
  
  </script>
</head>
<body>
<div class="navbar"> 
  <div class="navbar-right">
    <ul> 
      <li>
        <a href="teacher/submissions.php" target="_blank"><i class="fas fa-chalkboard-teacher"></i> Login</a>
      </li>
    </ul>
  </div>
</div>

  <div class="section hero top">

      <div class="container ">
        <h3 class="section-heading">Assignment Upload</h3>
        <p class="section-description">Students, please upload your completed assignments here.<br> Be sure to include your name and class in the file name during upload.</p>

        <form enctype="multipart/form-data" method="POST">
          <input type="hidden" name="MAX_FILE_SIZE" value="300000000000" />
          <input type="file" name="files[]" id="filer_input2" multiple="multiple">
        </form>
      </div>
      
      <div class="container margin-top">
      <h3 class="section-heading">Assignments</h3>
      <p class="section-description">Download assignments shared by teachers</p>
      <table class="center" id="file_list">
        <th>Name</th>
        <th>Download</th>
      </table>      
      </div>
      

  </div>

</body>
</html>
