<?php

require_once('common.php');

if(!authorized()){
    return;
}

?>

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title>Turn it in - Settings</title>
  <meta name="description" content="A module for submitting homework">
  <meta name="author"      content="World Possible">
  <meta name="viewport"    content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="../assets/css/normalize.css">
  <link rel="stylesheet" href="../assets/css/skeleton.css">
  <link rel="stylesheet" href="../assets/css/custom.css">
  <link rel="stylesheet" href="../assets/fontawesome/css/all.css">
  <link rel="icon" type="image/png" href="../assets/images/favicon.png">
  <script type="text/javascript" src="../assets/js/jquery-3.6.0.min.js"></script>
  <script>

  function changePass(){
      var oldpass  = document.getElementById("old_pass").value;
      var newpass  = document.getElementById("new_pass").value;
      var newpass2 = document.getElementById("new_pass2").value;
      
      $.ajax({
        url: "process.php",
        data: { action: 'changePass', "oldpass": oldpass, "user": "teacher", "newpass": newpass, "newpass2": newpass2 },
        type: "POST",
        success: function(data) {
            alert("Password successfully changed");
            location.reload();
        },
        error: function(response) {
            alert(response.responseJSON['responseText']);
        }
      });      
  }
  
  </script>
</head>
<body>

<?php include('navbar.php'); ?>

  <div class="section u-pull-left">
    <div class="container">
      <h3 class="section-heading u-pull-left">Change Password</h3><br>
      <table>
      
      <tr><td>Old Password</td><td colspan='2'><input class="u-pull-left" id="old_pass" type="password" value="" ></td></tr>
      <tr><td>New Password</td><td colspan='2'><input class="u-pull-left" id="new_pass" type="password" value="" ></td></tr>
      <tr><td>Confirm Password</td><td colspan='2'><input class="u-pull-left" id="new_pass2" type="password" value=""></td></tr>
      <tr><td colspan='2'><button class="button-2 login u-pull-left" onclick="changePass();">Submit</button></td></tr>
      </table>
  </div>
  </div>
</body>
</html>


