<?php
    include('class.uploader.php');
    
    $uploader = new Uploader();
    $data = $uploader->upload($_FILES['files'], array(
        'limit'       => 1,      
        'maxSize'     => 2000,  
        'extensions'  => null,
        'required'    => false,       
        'uploadDir'   => '../uploads/',  
        'title'       => "{{file_name}}_{{timestamp}}",
        'removeFiles' => false,       
        'perms'       => null,     
        'replace'     => false,
        'onCheck'     => null,            
        'onError'     => null,            
        'onSuccess'   => null,          
        'onUpload'    => null,           
        'onComplete'  => null,        
        'onRemove'    => 'onFilesRemoveCallback' 
    ));
    
    if($data['isComplete']){
        $files = $data['data'];
        print_r($files);
        die();
    } 
    
    if($data['hasErrors']){
        $errors = $data['errors'];
        header("HTTP/1.1 413 Payload Too Large");
        print_r($errors);
        die();
    } 

    header("HTTP/1.1 413 Payload Too Large");
    print("Unknown Error - File likely larger than php.ini allows");

    
    function onFilesRemoveCallback($removed_files){
        foreach($removed_files as $key=>$value){
            $file = '../uploads/' . $value;
            if(file_exists($file)){
                unlink($file);
            }
        }
        
        return $removed_files;
    }
?>
